## Class parameter_value

zeep::http::parameter_value

## Synopsis

    // In header: </build/libzeep-8SPbhu/libzeep-3.0.5/zeep/http/webapp.hpp>

    class parameter_value {
    public:
      // construct/copy/destruct
      parameter_value();
      parameter_value(const std::string &, bool);

      // public member functions
      template<typename T> T as() const;
      bool empty() const;
      bool defaulted() const;
      template<> bool as() const;
    };

## Description

### `parameter_value` public construct/copy/destruct

1.     parameter_value();

2.     parameter_value(const std::string & v, bool defaulted);

### `parameter_value` public member functions

1.     template<typename T> T as() const;

2.     bool empty() const;

3.     bool defaulted() const;

4.     template<> bool as() const;